Page MenuHomePhabricator

Purge cache for all it.m.wikipedia.org pages
Closed, ResolvedPublic

Description

Due to bug 72855, cache needs to be purged for all it.m.wikipedia.org pages, within next week (3–9 November). Context: bug 72541, [[m:it.m.wikipedia.org]].

Otherwise, the permissions will be inconsistent for the next 30 days, until all caches expire. Moreover, the unregistered editing would be biased towards popular pages which for some reason were purged. (Usually useful edits are on unpopular pages.)


Version: unspecified
Severity: normal

Details

Reference
bz72856

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport set Reference to bz72856.
Nemo_bis created this task.Nov 1 2014, 7:27 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/nM4s6odp

Reedy added a comment.Nov 1 2014, 1:09 PM

Needs ops

(In reply to Sam Reed (reedy) from comment #2)

Needs ops

Thanks. Would a gradual increase of $wgCacheEpoch overkill? Or is this cache not controlled by it? It was suggested by Tim for the parser cache invalidation Wikidata needed https://lists.wikimedia.org/pipermail/wikitech-l/2014-September/078568.html

Reedy added a comment.Nov 1 2014, 7:20 PM

At one point the mobile caches could just be purged without any major issue...

MaxSem added a comment.Nov 1 2014, 8:26 PM

(In reply to Sam Reed (reedy) from comment #4)

At one point the mobile caches could just be purged without any major
issue...

It's not the case anymore, but Varnish can purge selectively and doing just itwiki will probably not cause an overload. Even though the hassle is still pretty serious..

BBlack added a comment.Nov 3 2014, 8:19 PM

I've purged it.m.wikipedia.org on the mobile caches, can someone confirm it had the intended effect?

Confirmed with some random articles :) Thanks!
(RESO/FIXED?)

Yes, fixed. Thanks Brandon, fantastic. :)
And thanks everyone for pointing this request in the right direction.